Issues

ZF-3510: Best Practice & PHP IDE Compatability Improvement

Issue Type: Improvement Created: 2008-06-25T08:26:33.000+0000 Last Updated: 2009-02-10T14:40:07.000+0000 Status: Resolved Fix version(s): - 1.8.0 (30/Apr/09)

Reporter: Michael (circlesquare) Assignee: Thomas Weidner (thomas) Tags: - Zend_Validate

Related issues: Attachments:

Description

On line 81 of /Zend/Validate/Barcode.php (@version $Id: Barcode.php 8211 2008-02-20 14:29:24Z darby $) we have the following code:

require_once 'Zend/Validate/Barcode/' . $className . '.php';

This is not IDE friendly (I'm using Zend Studio for Eclipse) as there is a variable in the include and therefore the IDE cannot locate the file.

I propose that the include is moved into the switch statement so that the variable $className is no longer needed. I suppose this is a slight compromise to the DRY methodoloy however I think it is worth it. Also, although using the variable in the include looks to be secure, it is bad practice.

Comments

Posted by Thomas Weidner (thomas) on 2009-02-10T14:40:07.000+0000

Fixed with r14042

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts